DB2DataSharingGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.DB2DataSharingGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface DB2DataSharingGroup

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SysplexGroup

    public interface DB2DataSharingGroup

extends SysplexGroup, ConfigurationItem

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Method Summary
`Db2BufferPool[]` | `getDb2bufferpool()`
`Db2Database[]` | `getDb2database()`
`java.lang.String` | `getGroupAttachName()`
`long` | `getSysColumnsMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSCOLUMNES table.
`long` | `getSysDatabaseMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSDATABASE table.
`long` | `getSysIndexesMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSINDEXES table.
`long` | `getSysTableMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSTABLESPACE table.
`long` | `getSysTableSpaceMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSTABLES table.
`ZReportFile[]` | `getZReportfiles()`
`boolean` | `hasDb2bufferpool()`
`boolean` | `hasDb2database()`
`boolean` | `hasGroupAttachName()`
`boolean` | `hasSysColumnsMaxAlteredTs()`
`boolean` | `hasSysDatabaseMaxAlteredTs()`
`boolean` | `hasSysIndexesMaxAlteredTs()`
`boolean` | `hasSysTableMaxAlteredTs()`
`boolean` | `hasSysTableSpaceMaxAlteredTs()`
`boolean` | `hasZReportfiles()`
`void` | `setDb2bufferpool(Db2BufferPool[] x)`
`void` | `setDb2database(Db2Database[] x)`
`void` | `setGroupAttachName(java.lang.String x)`
`void` | `setSysColumnsMaxAlteredTs(long x)`
`void` | `setSysDatabaseMaxAlteredTs(long x)`
`void` | `setSysIndexesMaxAlteredTs(long x)`
`void` | `setSysTableMaxAlteredTs(long x)`
`void` | `setSysTableSpaceMaxAlteredTs(long x)`
`void` | `setZReportfiles(ZReportFile[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.SysplexGroup
`getGroupFunction, getName, getParent, hasGroupFunction, hasName, hasParent, setGroupFunction, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSysDatabaseMaxAlteredTs

    long getSysDatabaseMaxAlteredTs()
                                    throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSDATABASE table. This attribute will enable changes to the SYSDATABASE catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysDatabaseMaxAlteredTs

    void setSysDatabaseMaxAlteredTs(long x)

### hasSysDatabaseMaxAlteredTs

    boolean hasSysDatabaseMaxAlteredTs()

### getZReportfiles

    ZReportFile[] getZReportfiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setZReportfiles

    void setZReportfiles(ZReportFile[] x)

### hasZReportfiles

    boolean hasZReportfiles()

### getSysIndexesMaxAlteredTs

    long getSysIndexesMaxAlteredTs()
                                   throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSINDEXES table. This attribute will enable changes to the SYSINDEXES catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysIndexesMaxAlteredTs

    void setSysIndexesMaxAlteredTs(long x)

### hasSysIndexesMaxAlteredTs

    boolean hasSysIndexesMaxAlteredTs()

### getGroupAttachName

    java.lang.String getGroupAttachName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGroupAttachName

    void setGroupAttachName(java.lang.String x)

### hasGroupAttachName

    boolean hasGroupAttachName()

### getSysTableSpaceMaxAlteredTs

    long getSysTableSpaceMaxAlteredTs()
                                      throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSTABLES table. This attribute will enable changes to the SYSTABLES catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysTableSpaceMaxAlteredTs

    void setSysTableSpaceMaxAlteredTs(long x)

### hasSysTableSpaceMaxAlteredTs

    boolean hasSysTableSpaceMaxAlteredTs()

### getDb2database

    Db2Database[] getDb2database()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDb2database

    void setDb2database(Db2Database[] x)

### hasDb2database

    boolean hasDb2database()

### getSysTableMaxAlteredTs

    long getSysTableMaxAlteredTs()
                                 throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSTABLESPACE table. This attribute will enable changes to the SYSTABLESPACE catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysTableMaxAlteredTs

    void setSysTableMaxAlteredTs(long x)

### hasSysTableMaxAlteredTs

    boolean hasSysTableMaxAlteredTs()

### getDb2bufferpool

    Db2BufferPool[] getDb2bufferpool()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDb2bufferpool

    void setDb2bufferpool(Db2BufferPool[] x)

### hasDb2bufferpool

    boolean hasDb2bufferpool()

### getSysColumnsMaxAlteredTs

    long getSysColumnsMaxAlteredTs()
                                   throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSCOLUMNES table. This attribute will enable changes to the SYSCOLUMNS catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysColumnsMaxAlteredTs

    void setSysColumnsMaxAlteredTs(long x)

### hasSysColumnsMaxAlteredTs

    boolean hasSysColumnsMaxAlteredTs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD